* Figure 9.3 
clear all
set more off 

use WVS_TEACHING

* replace with percents:
replace permissive = permissive*100
replace authoritative = authoritative*100
replace authoritarian = authoritarian*100

*Final version
twoway (scatter permissive gap_Lecture_Group, mlabel(country) mlabsize(vsmall) mlabposition(1) color(black) mlabcol(black)) (lfit permissive gap_Lecture_Group, lc(gray)), ///
ytitle("Permissive Parents (%)") legend(off) xtitle("Gap: Vertical Versus Horizontal Teaching")  ///
yscale(range(0.05 0.80))  ylabel(5 (15) 80) xscale(range(0 2.1)) xlabel(0 (0.5) 2.1) graphregion(color(white))
graph save "Gap_Permissive_fv.gph", replace 

*Final version
twoway (scatter authoritative gap_Lecture_Group, mlabel(country) mlabsize(vsmall) mlabposition(1) color(black) mlabcol(black)) (lfit authoritative gap_Lecture_Group, lc(gray)), ///
ytitle("Authoritative Parents (%)") legend(off) xtitle("Gap: Vertical Versus Horizontal Teaching")  ///
yscale(range(0.05 0.80))  ylabel(5 (15) 80) xscale(range(0 2.1)) xlabel(0 (0.5) 2.1) graphregion(color(white))
graph save "Gap_Authoritative_fv.gph", replace 

*Final version
twoway (scatter authoritarian gap_Lecture_Group, mlabel(country) mlabsize(vsmall) mlabposition(1) color(black) mlabcol(black)) (lfit authoritarian gap_Lecture_Group, lc(gray)) , ///
ytitle("Authoritarian Parents (%)") legend(off) xtitle("Gap: Vertical Versus Horizontal Teaching") ///
yscale(range(0.05 0.80))  ylabel(5 (15) 80) xscale(range(0 2.1)) xlabel(0 (0.5) 2.1)  graphregion(color(white))
graph save "Gap_Authoritarian_fv.gph", replace 


* Combine Final version
graph combine "Gap_Permissive_fv.gph" "Gap_Authoritative_fv.gph" "Gap_Authoritarian_fv.gph", rows(1) altshrink graphregion(color(white)) ///
ysize(5) xsize(15) saving("Figure_Gap_fv.gph",replace)


