* Numbers from Chapter 9, Doepke-Zilibotti
clear all
set more off

**************************************************
* Share Valuing Hard Work, Japan and China, p. 290
**************************************************
* USE WVS Data for Japan and China only 
use wvs_longitudinal_1981_2014_stata_v2015_04_18 if S003==392 | S003==156, clear

*Rename variables
decode S003, generate(country)
order country

rename S003 country_num
rename S002 wave
rename S020 year
rename A029 child_ind
rename A030 child_hardwork
rename A034 child_imag
rename A039 child_persev
rename A042 child_obed

*Important criteria: Only considered individuals stating at least one of the four variables 
drop if child_imag==0 & child_ind==0 & child_hardwork==0 & child_obed==0

*JAPAN
tab child_hardwork  if country=="Japan"     & wave==5
*CHINA
tab child_hardwork if country=="China"   & wave==5

* INDEPENDENCE
*JAPAN
tab child_ind  if country=="Japan"     & wave==5
*CHINA
tab child_ind if country=="China"   & wave==5


